package com.ikon.projectmanagement.service;

import com.ikon.projectmanagement.dto.request.IssueCreateRequestDto;
import com.ikon.projectmanagement.dto.request.RiskCreateRequestDto;
import com.ikon.projectmanagement.dto.response.IssueResponseDto;

import java.util.List;
import java.util.UUID;

public interface IssueService {

    IssueResponseDto createIssue(IssueCreateRequestDto issueCreateRequestDto);

    List<IssueResponseDto> getAllIssues(UUID projectIdentifier);


    IssueResponseDto getIssueById(UUID issueId);

    IssueResponseDto updateIssue(UUID issueId, IssueCreateRequestDto issueCreateRequestDto);

    List<IssueResponseDto> getIssuesByProject(String projectIdentifier);
}